public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Pacho Ramos" <pacho@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: gnome-extra/gnome-shell-extension-control-blur-effect-on-lock-screen/
Date: Sun, 30 Aug 2020 10:01:12 +0000 (UTC)	[thread overview]
Message-ID: <1598781668.3b7d3b75913425bdc7c5782d988e4dd4f1f67fe8.pacho@gentoo> (raw)

commit:     3b7d3b75913425bdc7c5782d988e4dd4f1f67fe8
Author:     Pacho Ramos <pacho <AT> gentoo <DOT> org>
AuthorDate: Sun Aug 30 10:00:34 2020 +0000
Commit:     Pacho Ramos <pacho <AT> gentoo <DOT> org>
CommitDate: Sun Aug 30 10:01:08 2020 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=3b7d3b75

gnome-extra/gnome-shell-extension-control-blur-effect-on-lock-screen: Allow to control blur on lock screen

Extension to allow to control blur effects on gnome-shell lock screen

Package-Manager: Portage-3.0.3, Repoman-3.0.0
Signed-off-by: Pacho Ramos <pacho <AT> gentoo.org>

 .../Manifest                                       |  1 +
 ...trol-blur-effect-on-lock-screen-20200713.ebuild | 56 ++++++++++++++++++++++
 .../metadata.xml                                   |  7 +++
 3 files changed, 64 insertions(+)

diff --git a/gnome-extra/gnome-shell-extension-control-blur-effect-on-lock-screen/Manifest b/gnome-extra/gnome-shell-extension-control-blur-effect-on-lock-screen/Manifest
new file mode 100644
index 00000000000..3cb8eb87758
--- /dev/null
+++ b/gnome-extra/gnome-shell-extension-control-blur-effect-on-lock-screen/Manifest
@@ -0,0 +1 @@
+DIST gnome-shell-extension-control-blur-effect-on-lock-screen-20200713.tar.gz 3431 BLAKE2B 6355135f9027d53b10ba1f02f2fdf90dc0acbd090be8905addc78f22f7b136464831985152d8a112febc8891bbd18ea42aedd8009c7db4afc52ba48b6d502511 SHA512 322da0bc511bbb6943713fd3fc3d75d8f32b9872ced9eeb611acc77756392d0b9c9dc1311bdb4e255d131637de6a17a3d0a76f1cebcc71218d67d2ef6078a4d1

diff --git a/gnome-extra/gnome-shell-extension-control-blur-effect-on-lock-screen/gnome-shell-extension-control-blur-effect-on-lock-screen-20200713.ebuild b/gnome-extra/gnome-shell-extension-control-blur-effect-on-lock-screen/gnome-shell-extension-control-blur-effect-on-lock-screen-20200713.ebuild
new file mode 100644
index 00000000000..be15fbea50f
--- /dev/null
+++ b/gnome-extra/gnome-shell-extension-control-blur-effect-on-lock-screen/gnome-shell-extension-control-blur-effect-on-lock-screen-20200713.ebuild
@@ -0,0 +1,56 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+inherit gnome2-utils
+
+DESCRIPTION="Control the blur effect on gnome-shell lock screen"
+HOMEPAGE="https://github.com/PRATAP-KUMAR/Control_Blur_Effect_On_Lock_Screen"
+COMMIT="824675a32d47346c89655f89b416e653f60c4d68"
+SRC_URI="https://github.com/PRATAP-KUMAR/Control_Blur_Effect_On_Lock_Screen/archive/${COMMIT}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="GPL-2+"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE=""
+
+# glib for glib-compile-schemas at build time, needed at runtime anyways
+COMMON_DEPEND="
+	dev-libs/glib:2
+"
+RDEPEND="${COMMON_DEPEND}
+	app-eselect/eselect-gnome-shell-extensions
+	>=gnome-base/gnome-shell-3.36.4
+"
+DEPEND="${COMMON_DEPEND}"
+BDEPEND=""
+
+S="${WORKDIR}/Control_Blur_Effect_On_Lock_Screen-${COMMIT}"
+extension_uuid="ControlBlurEffectOnLockScreen@pratap.fastmail.fm"
+
+src_compile() { :; }
+
+src_install() {
+	einstalldocs
+	cd "${extension_uuid}"
+	insinto /usr/share/glib-2.0/schemas
+	doins schemas/*.xml
+	rm -rf schemas
+	insinto /usr/share/gnome-shell/extensions/"${extension_uuid}"
+	doins -r *
+}
+
+pkg_preinst() {
+	gnome2_schemas_savelist
+}
+
+pkg_postinst() {
+	gnome2_schemas_update
+	ebegin "Updating list of installed extensions"
+	eselect gnome-shell-extensions update
+	eend $?
+}
+
+pkg_postrm() {
+	gnome2_schemas_update
+}

diff --git a/gnome-extra/gnome-shell-extension-control-blur-effect-on-lock-screen/metadata.xml b/gnome-extra/gnome-shell-extension-control-blur-effect-on-lock-screen/metadata.xml
new file mode 100644
index 00000000000..020b40648ee
--- /dev/null
+++ b/gnome-extra/gnome-shell-extension-control-blur-effect-on-lock-screen/metadata.xml
@@ -0,0 +1,7 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+	<maintainer type="person">
+		<email>pacho@gentoo.org</email>
+	</maintainer>
+</pkgmetadata>


             reply	other threads:[~2020-08-30 10:01 UTC|newest]

Thread overview: 32+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2020-08-30 10:01 Pacho Ramos [this message]
  -- strict thread matches above, loose matches on Subject: below --
2020-08-30 20:20 [gentoo-commits] repo/gentoo:master commit in: gnome-extra/gnome-shell-extension-control-blur-effect-on-lock-screen/ Pacho Ramos
2020-12-01 22:15 Pacho Ramos
2021-01-23 22:38 Pacho Ramos
2021-03-14 14:46 Pacho Ramos
2021-03-14 14:46 Pacho Ramos
2021-03-14 14:46 Pacho Ramos
2021-05-20 12:37 Pacho Ramos
2021-05-20 12:37 Pacho Ramos
2021-05-30 20:52 Pacho Ramos
2021-06-14  9:09 Pacho Ramos
2021-06-14 19:39 Pacho Ramos
2021-06-14 19:39 Pacho Ramos
2021-06-29 19:10 Pacho Ramos
2021-08-25 15:35 Pacho Ramos
2021-11-11 11:52 Pacho Ramos
2021-11-11 11:52 Pacho Ramos
2021-12-18 12:41 Pacho Ramos
2021-12-21 18:54 Pacho Ramos
2022-03-09 21:36 Pacho Ramos
2022-03-09 21:36 Pacho Ramos
2022-03-27  9:48 Pacho Ramos
2022-03-27  9:48 Pacho Ramos
2022-05-29 10:23 Pacho Ramos
2022-09-18  8:33 Pacho Ramos
2022-12-16 20:37 Arthur Zamarin
2023-02-24 14:48 Pacho Ramos
2023-04-17 14:52 Pacho Ramos
2023-05-05 10:24 Pacho Ramos
2023-09-29 11:31 Pacho Ramos
2024-01-08 17:27 Sam James
2024-02-18  6:08 Arthur Zamarin

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1598781668.3b7d3b75913425bdc7c5782d988e4dd4f1f67fe8.pacho@gentoo \
    --to=pacho@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox